package uoc.tfg.g2tde.dao;

import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.PagingAndSortingRepository;
import org.springframework.data.repository.query.Param;

import uoc.tfg.g2tde.entities.ReglaCriterioOperador;

public interface ReglaCriterioOperadorDao extends PagingAndSortingRepository<ReglaCriterioOperador, Long>{
	
	@Modifying(flushAutomatically = true)
	@Query("DELETE ReglaCriterioOperador r WHERE r.id = :id")
	public void deleteById(@Param("id") Long id);
}
