package uoc.tfg.g2tde.dao;

import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.PagingAndSortingRepository;
import org.springframework.data.repository.query.Param;

import uoc.tfg.g2tde.entities.Usuario;

public interface UsuarioDao extends PagingAndSortingRepository<Usuario, String>{
	
	public Usuario findByUsername(String username);
	
	@Modifying(flushAutomatically = true)
	@Query("DELETE Usuario u WHERE u.username = :username")
	public void deleteById(@Param("username") String username);
}
