package uoc.tfg.g2tde.interfaces;

import java.util.List;
import java.util.Optional;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import uoc.tfg.g2tde.entities.Consultoria;

public interface IConsultoriaService {

	public List<Consultoria> findAll();

	public Page<Consultoria> findAll(Pageable pageable);

	public void save(Consultoria consultoria);

	public Optional<Consultoria> findById(Long id);

	public void deleteById(Long id);
}
