package uoc.tfg.g2tde.interfaces;

import java.util.List;
import java.util.Optional;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import uoc.tfg.g2tde.entities.Empleado;

public interface IEmpleadoService {
	public List<Empleado> findAll();

	public Page<Empleado> findAll(Pageable pageable);

	public void save(Empleado empleado);

	public Optional<Empleado> findById(Long id);

	public void deleteById(Long id);
}
