package uoc.tfg.g2tde.interfaces;

import java.util.List;
import java.util.Optional;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import uoc.tfg.g2tde.entities.Informe;

public interface IInformeService {
	public List<Informe> findAll();

	public Page<Informe> findAll(Pageable pageable);

	public void save(Informe informe);

	public Optional<Informe> findById(Long id);

	public void deleteById(Long id);
	
	public List<Informe> findByUsuarioUsername(String username);
}
