package uoc.tfg.g2tde.interfaces;

import java.util.List;
import java.util.Optional;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import uoc.tfg.g2tde.entities.Regla;

public interface IReglaService {
	public List<Regla> findAll();

	public Page<Regla> findAll(Pageable pageable);

	public Regla save(Regla regla);

	public Optional<Regla> findById(Long id);

	public void deleteById(Long id);
	
	public List<Regla> findByConclusionId(Long id);
	
	public List<Regla> findByUsuarioUsername(String username);
}
