package uoc.tfg.g2tde.interfaces;

import java.util.List;
import java.util.Optional;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import uoc.tfg.g2tde.entities.Tarea;

public interface ITareaService {
	public List<Tarea> findAll();

	public Page<Tarea> findAll(Pageable pageable);

	public Tarea save(Tarea tarea);

	public Optional<Tarea> findById(Long id);

	public void deleteById(Long id);
}
