package uoc.tfg.g2tde.interfaces;

import java.util.List;
import java.util.Optional;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import uoc.tfg.g2tde.entities.Usuario;

public interface IUsuarioService {
	
	public List<Usuario> findAll();

	public Page<Usuario> findAll(Pageable pageable);

	public void save(Usuario usuario);

	public Optional<Usuario> findById(String id);

	public void deleteById(String id);
	
	public Usuario findByUsername(String username);
}
