package uoc.tfg.g2tde.services;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import uoc.tfg.g2tde.dao.ICriterioReglaDao;
import uoc.tfg.g2tde.interfaces.ICriterioReglaService;

@Service
public class CriterioReglaService implements ICriterioReglaService{
	
	@Autowired
	private ICriterioReglaDao criterioReglaDao;
	
	@Override
	public List<Long> getByIdCriterio(Long criterioId){
		return criterioReglaDao.getByIdCriterio(criterioId);
	}
	
	@Override
	@Transactional
	public void deleteByIdCriterio(Long criterioId) {
		criterioReglaDao.deleteByIdCriterio(criterioId);
	}
}
