package uoc.tfg.g2tde.dao;

import java.util.List;

import org.springframework.data.repository.PagingAndSortingRepository;
import org.springframework.data.repository.query.Param;

import uoc.tfg.g2tde.entities.Regla;

public interface ReglaDao extends PagingAndSortingRepository<Regla, Long>{
	public List<Regla> findByConclusionId(Long id);
	
	public List<Regla> findByUsuarioUsername(@Param("username") String username);
}
