package uoc.tfg.g2tde.interfaces;

import java.util.List;
import java.util.Optional;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import uoc.tfg.g2tde.entities.Conclusion;

public interface IConclusionService {
	public List<Conclusion> findAll();

	public Page<Conclusion> findAll(Pageable pageable);

	public void save(Conclusion conclusion);

	public Optional<Conclusion> findById(Long id);

	public void deleteById(Long id);
	
	public List<Conclusion> findByUsuarioId(String username);
}
