package uoc.tfg.g2tde.interfaces;

import java.util.List;
import java.util.Optional;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import uoc.tfg.g2tde.entities.Criterio;

public interface ICriterioService {
	public List<Criterio> findAll();

	public Page<Criterio> findAll(Pageable pageable);

	public void save(Criterio criterio);

	public Optional<Criterio> findById(Long id);

	public void deleteById(Long id);
	
	public List<Criterio> findByUsuarioUsername(String username);
}
