package uoc.tfg.g2tde.interfaces;

import java.util.List;
import java.util.Optional;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import uoc.tfg.g2tde.entities.Rol;

public interface IRolService {
	public List<Rol> findAll();

	public Page<Rol> findAll(Pageable pageable);

	public void save(Rol rol);

	public Optional<Rol> findById(Long id);

	public void deleteById(Long id);
}
