package uoc.tfg.g2tde.services;

import java.util.List;
import java.util.Optional;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import uoc.tfg.g2tde.dao.OperadorDao;
import uoc.tfg.g2tde.entities.Operador;
import uoc.tfg.g2tde.interfaces.IOperadorService;

@Service
public class OperadorService implements IOperadorService{
	
	@Autowired
	private OperadorDao operadorDao;

	@Override
	public List<Operador> findAll() {
		return (List<Operador>)operadorDao.findAll();
	}

	@Override
	public Optional<Operador> findById(Long id) {
		return operadorDao.findById(id);
	}

	@Override
	public List<Operador> findByTipo(String tipo) {
		return operadorDao.findByTipo(tipo);
	}
}
