$( document ).ready(getCriterios())

function getCriterios(){
	let operadorId = document.getElementById('operador');
	let criterioCompuesto = document.getElementById('criterioCompuesto');
	switch(operadorId.options[operadorId.selectedIndex].text){
		case 'AND':
		case 'OR':
			$.ajax({
		        type: 'GET',
		        url: "http://localhost:8080/g2tde/criterio/listarCompuesto",
		        success:function(data){ 	
					criterioCompuesto.innerHTML=data;
		        }
		    });
			break;
		case 'NOT':
			$.ajax({
		        type: 'GET',
		        url: "http://localhost:8080/g2tde/criterio/listarSimple",
		        success:function(data){
					criterioCompuesto.innerHTML=data;
		        }
		    });
			break;
		default:
			$.ajax({
		        type: 'GET',
		        url: "http://localhost:8080/g2tde/criterio/listarSimple",
		        success:function(data){
					criterioCompuesto.innerHTML=data;
		        }
		    });
	}
}


function eliminarFila(param){
	let row = param.parentNode;
	row.parentNode.removeChild(row);
	
	$("#anadirCriterio").removeClass("notActive");
}

function anadirCriterio(){
	
	let count = $('#tableCriterioOperador tbody tr').length;
	
	if(count && count>0){
		$("#anadirCriterio").addClass("notActive");
	}else{
		let operadorId = document.getElementById('operador');
		let tableCriterioOperador = document.getElementById('tableCriterioOperador');
		let criterioCompuesto1 = document.getElementById('criterioCompuesto1');
		let criterioCompuesto2 = document.getElementById('criterioCompuesto2');
		let tbody = tableCriterioOperador.getElementsByTagName('tbody')[0];
		
		if((criterioCompuesto1) || (criterioCompuesto1 && criterioCompuesto2)){
			
			switch(operadorId.options[operadorId.selectedIndex].text){
				case 'AND':
				case 'OR':
					if(criterioCompuesto1.options[criterioCompuesto1.selectedIndex].text && criterioCompuesto2.options[criterioCompuesto2.selectedIndex].text){
						if(criterioCompuesto1.options[criterioCompuesto1.selectedIndex].text !== criterioCompuesto2.options[criterioCompuesto2.selectedIndex].text){
							tbody.innerHTML += '<tr>'+
							'<td><select id="reglaCriterioOperadoresCompuesto1" name="reglaCriterioOperadoresCompuesto1" readonly="true"><option value="'+criterioCompuesto1.options[criterioCompuesto1.selectedIndex].value+'">'+ criterioCompuesto1.options[criterioCompuesto1.selectedIndex].text +'</option></select></td>' +
							'<td><select id="operadorCompuesto" name="operadorCompuesto" readonly="true"><option value="'+operadorId.options[operadorId.selectedIndex].value+'">'+ operadorId.options[operadorId.selectedIndex].text +'</option></select></td>' +
							'<td><select id="reglaCriterioOperadoresCompuesto2" name="reglaCriterioOperadoresCompuesto2" readonly="true"><option value="'+criterioCompuesto2.options[criterioCompuesto2.selectedIndex].value+'">'+criterioCompuesto2.options[criterioCompuesto2.selectedIndex].text+'</option></select></td>' +
							'<td onClick="eliminarFila(this)">Eliminar</td>'
							+'</tr>';
							$("#anadirCriterio").addClass("notActive");
						}else{
							alert('Los criterios han de ser distintos');
						}
					}
					break;
				case 'NOT':
					if(criterioCompuesto1.options[criterioCompuesto1.selectedIndex].text){
						tbody.innerHTML += '<tr>'+
						'<td><select id="reglaCriterioOperadoresCompuesto1" name="reglaCriterioOperadoresCompuesto1" readonly="true"><option value="'+criterioCompuesto1.options[criterioCompuesto1.selectedIndex].value+'">'+ criterioCompuesto1.options[criterioCompuesto1.selectedIndex].text +'</option></select></td>' +
						'<td><select id="operadorCompuesto" name="operadorCompuesto" readonly="true"><option value="'+operadorId.options[operadorId.selectedIndex].value+'">'+ operadorId.options[operadorId.selectedIndex].text +'</option></select></td>' +
						'<td></td>' + 
						'<td onClick="eliminarFila(this)">Eliminar</td>'
						+'</tr>';
						$("#anadirCriterio").addClass("notActive");
					}
					break;
				default:
					if(criterioCompuesto1.options[criterioCompuesto1.selectedIndex].text){
						tbody.innerHTML += '<tr>'+
						'<td><select id="reglaCriterioOperadoresCompuesto1" name="reglaCriterioOperadoresCompuesto1" readonly="true"><option value="'+criterioCompuesto1.options[criterioCompuesto1.selectedIndex].value+'">'+ criterioCompuesto1.options[criterioCompuesto1.selectedIndex].text +'</option></select></td>' +
						'<td></td>' +
						'<td></td>' + 
						'<td onClick="eliminarFila(this)">Eliminar</td>'
						+'</tr>';
						$("#anadirCriterio").addClass("notActive");	
					}else{
						alert('Elija un criterio');
					}
					break;
			}			
		}
	}
}